Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface ChallengeIdentityAsserterV2

All Superinterfaces:
  IdentityAsserterV2

    public interface ChallengeIdentityAsserterV2

extends IdentityAsserterV2

The `ChallengeIdentityAsserterV2` interface allows Identity Assertion providers to support authentication protocols such as Microsoft's Windows NT Challenge/Response (NTLM), Simple and Protected GSS-API Negotiation Mechanism (SPNEGO), and other challenge/response authentication mechanisms.

Field Summary

Fields inherited from interface weblogic.security.spi.IdentityAsserterV2
`AU_TYPE, AUTHORIZATION_NEGOTIATE, CSI_ANONYMOUS_TYPE, CSI_DISTINGUISHED_NAME_TYPE, CSI_PRINCIPAL_TYPE, CSI_X509_CERTCHAIN_TYPE, SAML_ASSERTION_B64_TYPE, SAML_ASSERTION_DOM_TYPE, SAML_ASSERTION_TYPE, WSSE_PASSWORD_DIGEST_TYPE, WWW_AUTHENTICATE_NEGOTIATE, X509_TYPE`

Method Summary
`ProviderChallengeContext` | `assertChallengeIdentity(String tokenType, Object token, ContextHandler handler)` Use the supplied client token to establish client identity, possibly with multiple challenges.
`void` | `continueChallengeIdentity(ProviderChallengeContext context, String tokenType, Object token, ContextHandler handler)` Use the supplied provider context and client token to continue establishing client identity
`Object` | `getChallengeToken(String type, ContextHandler handler)` Returns the Identity Assertion provider's challenge token.

Methods inherited from interface weblogic.security.spi.IdentityAsserterV2
`assertIdentity`

Method Detail

### getChallengeToken

    Object getChallengeToken(String type,
                             ContextHandler handler)

  Returns the Identity Assertion provider's challenge token.

  Parameters:
    `type` - the type of token to use for identity assertion

    `handler` - a `ContextHandler` object that can optionally be used by the Identity assertion provider to obtain additional information that may be used in creating the challenge token
  Returns:
    the Identity Assertion provider's challenge token, which is `null` for unsupported token types

### assertChallengeIdentity

    ProviderChallengeContext assertChallengeIdentity(String tokenType,
                                                     Object token,
                                                     ContextHandler handler)
                                                     throws IdentityAssertionException

  Use the supplied client token to establish client identity, possibly with multiple challenges.

  Parameters:
    `tokenType` - name of the token type
    `token` - the token passed as a Java Object
    `handler` - a `ContextHandler` object that can optionally be user by the Identity assertion provider to obtain additional information that may be used in asserting the challenge identity
  Returns:
    The context of the Challenge identity assertion. This result may contain either the callback handler or an additional challenge to which the client must respond.
  Throws:
    `LoginException`
    `IdentityAssertionException`

### continueChallengeIdentity

    void continueChallengeIdentity(ProviderChallengeContext context,
                                   String tokenType,
                                   Object token,
                                   ContextHandler handler)
                                   throws IdentityAssertionException

  Use the supplied provider context and client token to continue establishing client identity

  Parameters:
    `context` - ProviderChallengeContext originally returned from assertChallengeIdentity. The context will be updated and will either contain the c callback handler or another challenge token.
    `tokenType` - name of the token type
    `token` - the token passed as a Java Object
    `handler` - a `ContextHandler` object that can optionally be used by the Identity assertion provider to obtain additional information that may be used in asserting the challenge identity
  Throws:
    `LoginException`
    `IdentityAssertionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD